2019-10-14 10:59 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001918FSSCPgameplaypublic2009-05-17 08:33
ReporterKeldorKatarn 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001918: One cannot match speed with ships that use the #-feature in their name.
DescriptionThe title pretty much says it all. If a ship has invisible characters in its name, by using the # feature, one cannot match speed any longer with this ship.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010825

karajorma (administrator)

I can't reproduce this one. But I did fix Mantis 1913 first so it could be that something in that has fixed it. Try it with this build from my branch.

http://www.freespacefaq.com/Misc-Downloads/Builds/New%20Multi%20Packet.7z

~0010826

KeldorKatarn (reporter)

To be honest.. in that build everything is broken. I cannot match speed with half the capships, using # or not, and whenever I come out of autopilot I automatically jump to afterburner speed without having done anything.

You should check that build....

~0010828

karajorma (administrator)

That all works for me on FS2 so the problem is probably WCS related in some way.

~0010829

KeldorKatarn (reporter)

You might want to try playing our Mission 48. This is where I get most of these issues.

The afterburner might be linked to a bug in the lock-afterburner SEXP in your build, since we lock it on entering autopilot and unlock it once coming out of it. Possibly a bug in your build activates it. But that's a guess.. you'll have to check for yourself.

~0010830

karajorma (administrator)

That's possible. I did change the way lock afterburner works in that build so as to bring it into line with how the other ship flags work (I needed to do that to make it work in multi). It shouldn't have had any effect on your missions unless you are using lock-afterburner on ships which may or may not be present. The sexp will now lock afterburners on ships that aren't present yet (same as the other flags affecting SEXPs do).

~0010831

KeldorKatarn (reporter)

Well it DOES have an effect. A negative one, as I told you. Please check this again.

~0010832

karajorma (administrator)

Fixed the issue with the afterburners and updated the build.

~0010836

KeldorKatarn (reporter)

Seems to be gone now. This issue can be closed.

However.. one more thing... why can't I match speed with a ship that is standing still?

~0010837

karajorma (administrator)

I assume this is a deliberate choice to stop you from stopping dead when auto-matching. Otherwise you'd target a capship and come to a complete halt.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-18 12:56 KeldorKatarn New Issue
2009-04-21 04:16 karajorma Status new => assigned
2009-04-21 04:16 karajorma Assigned To => karajorma
2009-04-23 14:48 karajorma Note Added: 0010825
2009-04-23 15:11 KeldorKatarn Note Added: 0010826
2009-04-23 16:19 karajorma Note Added: 0010828
2009-04-23 16:28 KeldorKatarn Note Added: 0010829
2009-04-23 16:42 karajorma Note Added: 0010830
2009-04-23 17:01 KeldorKatarn Note Added: 0010831
2009-04-24 07:45 karajorma Note Added: 0010832
2009-04-24 11:02 KeldorKatarn Note Added: 0010836
2009-04-24 11:06 karajorma Note Added: 0010837
2009-05-17 08:33 karajorma Status assigned => resolved
2009-05-17 08:33 karajorma Fixed in Version => 3.6.11
2009-05-17 08:33 karajorma Resolution open => fixed
+Issue History